Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.scala
Class ScalaDoc

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.api.tasks.SourceTask
              org.gradle.api.tasks.scala.ScalaDoc

    class ScalaDoc
    extends SourceTask

Task to generate Scala API documentation.

Constructor Summary
`ScalaDoc()`

Method Summary
`protected void` | `generate()`
`AntScalaDoc` | `getAntScalaDoc()`
`java.lang.Iterable` | `getClasspath()` Returns the classpath to use to locate classes referenced by the documented source.
`File` | `getDestinationDir()`
`ScalaDocOptions` | `getScalaDocOptions()`
`java.lang.String` | `getTitle()`
`void` | `setAntScalaDoc(AntScalaDoc antScalaDoc)`
`void` | `setClasspath(FileCollection classpath)`
`void` | `setDestinationDir(File destinationDir)`
`void` | `setScalaDocOptions(ScalaDocOptions scalaDocOptions)`
`void` | `setTitle(java.lang.String title)`

Methods inherited from class SourceTask
exclude, exclude, getDefaultSource, getExcludes, getIncludes, getSource, include, include, setExcludes, setIncludes, setSource, source

Constructor Detail

### ScalaDoc

    ScalaDoc()

Method Detail

### generate

    @TaskAction
    protected void generate()

### getAntScalaDoc

    public AntScalaDoc getAntScalaDoc()

### getClasspath

    @InputFiles
    public java.lang.Iterable getClasspath()

  Returns the classpath to use to locate classes referenced by the documented source.

  return:
    The classpath.

### getDestinationDir

    @OutputDirectory
    public File getDestinationDir()

### getScalaDocOptions

    public ScalaDocOptions getScalaDocOptions()

### getTitle

    public java.lang.String getTitle()

### setAntScalaDoc

    public void setAntScalaDoc(AntScalaDoc antScalaDoc)

### setClasspath

    public void setClasspath(FileCollection classpath)

### setDestinationDir

    public void setDestinationDir(File destinationDir)

### setScalaDocOptions

    public void setScalaDocOptions(ScalaDocOptions scalaDocOptions)

### setTitle

    public void setTitle(java.lang.String title)

Groovy Documentation